Bug 22562 - up2date crashes: internal server error
Summary: up2date crashes: internal server error
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: up2date   
(Show other bugs)
Version: 7.0
Hardware: i686
OS: Linux
high
high
Target Milestone: ---
Assignee: Preston Brown
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-12-20 01:01 UTC by Wagner T. Correa
Modified: 2005-10-31 22:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-20 01:01:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Wagner T. Correa 2000-12-20 01:01:25 UTC
I ran up2date -u, and I got the following error messages:

Installing /var/spool/up2date/nscd-2.2-9.i386.rpm...
Traceback (innermost last):
  File "/usr/sbin/up2date", line 394, in ?
    main()
  File "/usr/sbin/up2date", line 377, in main
    sys.exit(batchRun(onlyList, pkgNames, fullUpdate))
  File "/usr/sbin/up2date", line 242, in batchRun
    up2date.installPackages(selPkgList, rpmCallback)
  File "/usr/share/rhn/up2date/up2date.py", line 1040, in installPackages
    rc = ts.run(0, 0, rpmCallback, cfg.readEntry("storageDir"))
  File "/usr/sbin/up2date", line 106, in rpmCallback
    up2date.remoteAddPackage((name, version, release, epoch))
  File "/usr/share/rhn/up2date/up2date.py", line 615, in remoteAddPackage
    raise CommunicationError(e.errmsg)
up2date.CommunicationError: Error communicating with server.  The message
was:
Internal Server Error

Comment 1 Preston Brown 2000-12-21 19:46:43 UTC
Try again, this was a transient server error.


Note You need to log in before you can comment on or make changes to this bug.